package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 创客申请表实体类
 * @auther quanshu
 * @create 2023-03-15 14:35:51
 */
@TableName("mp_channel_apply")
@Data
@ApiModel("创客申请表")
public class ChannelApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * Id
     */
    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    @TableField("name")
    private String name;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    @TableField("phone")
    private String phone;

    /**
     * 省份
     */
    @ApiModelProperty("省份")
    @TableField("province")
    private String province;

    /**
     * 省份ID
     */
    @ApiModelProperty("省id")
    @TableField("province_id")
    private Long provinceId;

    /**
     * 市
     */
    @ApiModelProperty("市")
    @TableField("city")
    private String city;

    /**
     * 市ID
     */
    @ApiModelProperty("市id")
    @TableField("city_id")
    private Long cityId;

    /**
     * 区
     */
    @ApiModelProperty("区")
    @TableField("area")
    private String area;

    /**
     * 区ID
     */
    @ApiModelProperty("区id")
    @TableField("area_id")
    private Long areaId;

    /**
     * 状态:0未联系,1已联系
     */
    @ApiModelProperty("状态:0未联系,1已联系")
    @TableField("status")
    private Integer status;

    /**
     * 行业资源说明
     */
    @ApiModelProperty("行业资源说明")
    @TableField("resource")
    private String resource;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}