package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 商品卡密关联表实体类
 * @auther quanshu
 * @create 2022-08-02 15:43:31
 */
@TableName("mp_goods_card")
@Data
@ApiModel("商品卡密关联表实体类")
public class GoodsCard implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 商品id
     */
    @ApiModelProperty("商品id")
    @TableField("goods_id")
    private Long goodsId;

    /**
     * 卡号
     */
    @ApiModelProperty("卡号")
    @TableField("card_no")
    private String cardNo;

    /**
     * 卡密
     */
    @ApiModelProperty("卡密")
    @TableField("card_pwd")
    private String cardPwd;

    /**
     * 是否使用:0未使用,1已使用
     */
    @ApiModelProperty("是否使用:0未使用,1已使用")
    @TableField("is_use")
    private Integer isUse;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}