package com.qs.mp.admin.domain;

import java.math.BigDecimal;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import com.qs.mp.common.enums.PrizeStorageInTypeEnum;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 奖品回收表实体类
 * @auther quanshu
 * @create 2022-05-23 14:18:27
 */
@TableName("mp_prize_recovery")
@Data
@ApiModel("奖品回收表实体类")
public class PrizeRecovery implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 关联奖品库id
     */
    @ApiModelProperty("关联奖品库id")
    @TableField("storage_id")
    private String storageId;

    /**
     * 用户ID
     */
    @ApiModelProperty("用户id")
    @TableField("user_id")
    private Long userId;

    /**
     * 标题
     */
    @ApiModelProperty("标题")
    @TableField("title")
    private String title;

    /**
     * 图片
     */
    @ApiModelProperty("图片")
    @TableField("pic_url")
    private String picUrl;

    /**
     * 数量
     */
    @ApiModelProperty("数量")
    @TableField("num")
    private Integer num;

    /**
     * 商品id
     */
    @ApiModelProperty("商品id")
    @TableField("goods_id")
    private Long goodsId;

    @ApiModelProperty("商品id")
    @TableField("sku_id")
    private Long skuId;

    @ApiModelProperty("属性组合字符串 格式是p1:v1;p2:v2")
    @TableField("properties")
    private String properties;

    @ApiModelProperty("兑换单价")
    @TableField("exchange_price")
    private Integer exchangePrice;

    /**
     * 回收折扣比例
     */
    @ApiModelProperty("回收折扣比例")
    @TableField("discount_rate")
    private BigDecimal discountRate;

    /**
     * 返回盲豆数
     */
    @ApiModelProperty("返还盲豆数")
    @TableField("return_coin")
    private Integer returnCoin;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}