package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 盲票盒奖项设置实体类
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@TableName("mp_ticket_awards")
@Data
@ApiModel("盲票盒奖项设置实体类")
public class TicketAwards implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @ApiModelProperty("奖项ID,主键")
  @TableId(value = "awards_id" , type = IdType.INPUT)
  private String awardsId;

  /**
   * 盲票组ID
   */
  @ApiModelProperty("盲票组ID")
  @TableField("box_id")
  private String boxId;

  /**
   * 奖项名
   */
  @ApiModelProperty("奖项名")
  @TableField("name")
  private String name;

  @ApiModelProperty("奖级标签")
  @TableField("awards_label")
  private String awardsLabel;

  /**
   * 奖项顺序
   */
  @ApiModelProperty("奖项顺序")
  @TableField("sort")
  private Integer sort;

  /**
   * 奖项数量
   */
  @ApiModelProperty("奖项数量")
  @TableField("quantity")
  private Integer quantity;

  /**
   * 奖项描述
   */
  @ApiModelProperty("奖项描述")
  @TableField("memo")
  private String memo;

  /**
   * 中奖率
   */
  @ApiModelProperty("中奖率")
  @TableField("hit_rate")
  private BigDecimal hitRate;

  /**
   * 已兑奖数量
   */
  @ApiModelProperty("已兑奖数量")
  @TableField("cashed_qty")
  private Integer cashedQty;

  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  private Date updatedTime;


}
