package com.qs.mp.admin.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.qs.mp.common.enums.TicketBoxGoodsTypeEnum;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 盲票商品关联表实体类
 * @auther quanshu
 * @create 2022-07-16 09:41:09
 */
@ApiModel("盲票商品关联表")
@TableName("mp_ticket_box_goods")
@Data
public class TicketBoxGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    /**
     * 盲票组ID
     */
    @ApiModelProperty("盲票组ID")
    @TableField("box_id")
    private String boxId;

    /**
     * 商品名称
     */
    @ApiModelProperty("商品名称")
    @TableField("title")
    private String title;

    /**
     * 商品图片
     */
    @ApiModelProperty("商品图片")
    @TableField("pic_url")
    private String picUrl;


    /**
     * 商品类型:goods实物商品 coupon优惠券 coin平台代币 coupon_pkg券包
     */
    @ApiModelProperty("商品类型:goods实物商品 coupon优惠券 coin平台代币 coupon_pkg券包")
    @TableField("type")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketBoxGoodsTypeEnum type;

    /**
     * 关联商品id
     */
    @ApiModelProperty("关联商品id")
    @TableField("ref_id")
    private String refId;

    @ApiModelProperty("商品价值")
    @TableField("value")
    private Integer value;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}