package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.ChannelCertifyStatusEnum;
import com.qs.mp.common.enums.SiteTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 经销商导出
 * @author Cup
 * @date 2022/5/13
 */
@ApiModel("经销商导出")
@Data
public class ChannelExcel {

    @Excel(name = "经销商编号")
    private Long channelId;

    @Excel(name = "经销商名称")
    private String name;

    @Excel(name = "经销商认证状态")
    private String certifyStatus;

    @Excel(name = "经销商佣金比例(%)")
    private BigDecimal commRate;

    @Excel(name = "盲票库存")
    long offLineQtyCnt;
    @Excel(name = "线下销量")
    long offLineSaleCnt;
    @Excel(name = "线上销量")
    long onLineSaleCnt;
    @Excel(name = "用户数")
    long userCnt;

    @Excel(name = "注册时间")
    private Date createdTime;

    @Excel(name = "上级渠道")
    String parentsName;

}
