package com.qs.mp.admin.domain.excel;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.ChannelWithdrawStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 提现记录导出
 * @author Cup
 * @date 2022/6/13
 */
@ApiModel(value = "提现记录导出")
@Data
public class ChannelWithdrawExcel {

    @Excel(name = "申请时间")
    private Date createTime;

    @Excel(name = "处理时间")
    private Date transferTime;

    @Excel(name = "渠道名称")
    private String name;


    @Excel(name = "渠道手机号码")
    private String mobile;

    /**
     * 渠道级别，0:经销商；1:一级渠道；2:二级渠道
     */
    @Excel(name = "渠道类型")
    private String level;


    @Excel(name = "提现金额(元)")
    private BigDecimal money;


    @Excel(name = "提现状态")
    private String status;

}
