package com.qs.mp.admin.domain.excel;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.GoodsStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品导出类
 * @author Cup
 * @date 2022/6/26
 */
@ApiModel("商品导出类")
@Data
public class GoodsExcel {

    @Excel(name = "商品ID")
    private Long goodsId;

    @Excel(name = "商品名称")
    private String title;

    @Excel(name = "一级分类")
    private String parentCategoryName;

    @Excel(name = "二级分类")
    private String categoryName;

    @Excel(name = "价格")
    private BigDecimal value;

    @Excel(name = "成本")
    private BigDecimal cost;

    @Excel(name = "是否支持兑换")
    private String exchangeShow;

    @Excel(name = "盲豆兑换数量")
    private Integer exchangePrice;

    @Excel(name = "销量")
    private Integer exchangedQty;

    @Excel(name = "库存")
    private Integer quantity;

    @Excel(name = "状态")
    private String status;

    @Excel(name = "商品编码")
    private String goodsCode;

    @Excel(name = "供应商")
    private String supplierName;

    @Excel(name = "商品采购链接")
    private String shoppingLink;


}
