package com.qs.mp.admin.domain.excel;

import com.qs.mp.common.annotation.Excel;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import com.qs.mp.common.enums.TicketStatusEnum;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户盲票相关导出
 * @author Cup
 * @date 2022/5/13
 */
@ApiModel("用户盲票订单明细相关导出")
@Data
public class UserTicketOrderItemExcel {

    @Excel(name = "盲票序列号")
    private String serialNo;

    @Excel(name = "盲票名称")
    private String ticketTitle;

    @Excel(name = "盲票类型")
    private String ticketType;

    @Excel(name = "是否为预付票")
    private String isPre;

    @Excel(name = "盲票售价(元)")
    private BigDecimal salePrice;

    @Excel(name = "佣金系数(%)")
    private BigDecimal saleCommRate;

    @Excel(name = "盲票状态")
    private String ticketStatus;

    @Excel(name = "奖级")
    private String awardsName;

    @Excel(name = "奖品")
    private String prizeName;

    @Excel(name = "订单编号")
    private String orderId;

    @Excel(name = "订单状态")
    private String orderStatus;

    @Excel(name = "下单时间")
    private Date createdTime;

    @Excel(name = "用户昵称")
    private String nickName;

    @Excel(name = "用户手机号")
    private String userPhone;

    @Excel(name = "经销商")
    private String channelName;
}
