package com.qs.mp.admin.domain.param;

import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 盲票票组和关联商品列表查询参数
 * @author Cup
 * @date 2022/7/18
 */
@ApiModel("盲票票组和关联商品列表查询参数")
@Data
public class TicketBoxGoodsQueryParam {

    @ApiModelProperty(value = "盲票组ID列表",required=false)
    private List<String> boxIds;

    @ApiModelProperty(value = "分类ID",required=false)
    private Long categoryId;

    @NotNull(message = "盲票类型不能为空")
    @ApiModelProperty(value = "盲票类型",required=true)
    private TicketTypeEnum type;

    @ApiModelProperty("价格排序,1正序,2倒序")
    private Integer salePriceSort;



}
