package com.qs.mp.admin.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.TicketBoxStatusEnum;
import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Cup
 * @date 2022/6/27
 */
@ApiModel("盲票组查询入参类")
@Data
public class TicketBoxQueryParam {

    @ApiModelProperty("盲票组标题")
    private String title;

    @ApiModelProperty("盲票形式（线上或线下）")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketTypeEnum type;

    @ApiModelProperty("状态,上架/下架")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketBoxStatusEnum status;

    @ApiModelProperty("排除的盲票组id列表")
    private List<String> excludeBoxIds;


}
