package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 用户提货订单短信发送入参类
 * @author Cup
 * @date 2022/7/5
 */
@ApiModel("用户提货订单短信发送入参类")
@Data
public class UserDeliverOrderSmsParam {

    @NotBlank(message = "订单号不能为空")
    @ApiModelProperty("订单号")
    private String orderId;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty("手机号")
    private String mobile;

    @NotNull(message = "商品名称不能为空")
    @ApiModelProperty("商品名称列表")
    private List<String> goodsNameList;

}
