package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.GoodsStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 商品导出出参类
 * @author Cup
 * @date 2022/6/26
 */
@ApiModel("商品导出出参类")
@Data
public class GoodsExportVO {

    @ApiModelProperty("商品ID")
    private Long goodsId;

    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("一级分类")
    private String parentCategoryName;

    @ApiModelProperty("二级分类")
    private String categoryName;

    @ApiModelProperty("价格")
    private Integer value;

    @ApiModelProperty("成本")
    private Integer cost;

    @ApiModelProperty("兑换大厅是否展示，0不展示，1展示")
    private Integer exchangeShow;

    @ApiModelProperty("盲豆兑换价格")
    private Integer exchangePrice;

    @ApiModelProperty("已经兑换的数量")
    private Integer exchangedQty;

    @ApiModelProperty("库存")
    private Integer quantity;

    @ApiModelProperty("上架状态;上架/下架")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private GoodsStatusEnum status;

    @ApiModelProperty("商品编码")
    private String goodsCode;

    @ApiModelProperty("供应商")
    private String supplierName;

    @ApiModelProperty("商品采购链接")
    private String shoppingLink;




}
