package com.qs.mp.admin.domain.vo;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.TicketTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/7
 */
@Data
@ApiModel("盲票列表VO类")
public class TicketListVO {

  /**
   * 订单明细ID
   */
  @ApiModelProperty("订单明细id")
  private String itemId;

  /**
   * 盲票ID
   */
  @ApiModelProperty("盲票id")
  private String ticketId;

  /**
   * 盲票组ID
   */
  @ApiModelProperty("盲票组id")
  private String boxId;

  /**
   * 标题
   */
  @ApiModelProperty("标题")
  private String title;

  /**
   * 图片
   */
  @ApiModelProperty("图片")
  private String picUrl;

  /**
   * 序列号
   */
  @ApiModelProperty("序列号")
  private String serialNo;

  /**
   * 面值
   */
  @ApiModelProperty("面值")
  private Integer facePrice;

  /**
   * 明文幸运数字
   */
  @ApiModelProperty("明文幸运数字")
  private Integer plainLuckyNum;

  /**
   * 盲票状态（初始、已激活、已兑奖）
   */
  @ApiModelProperty("盲票状态（初始、已激活、已兑奖）")
  private String status;


  @ApiModelProperty("奖品信息")
  private String prizeInfo;

  @ApiModelProperty("价值")
  private Integer value;

  @ApiModelProperty("奖品类型")
  private String prizeType;

  @ApiModelProperty("盲票形式（线上或线下）")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private TicketTypeEnum type;


  @ApiModelProperty("抽奖数字描述json")
  private String drawNum;

  @ApiModelProperty("奖级名称")
  private String awardsName;

}
