package com.qs.mp.admin.domain.vo;

import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import com.qs.mp.common.enums.TicketStatusEnum;
import com.qs.mp.common.enums.TicketTypeEnum;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户盲票订单明细相关出参类
 * @author Cup
 * @date 2022/5/13
 */
@ApiModel("用户盲票订单明细相关出参类")
@Data
public class UserTicketOrderItemVO {

    @ApiModelProperty("盲票序列号")
    private String serialNo;

    @ApiModelProperty("盲票名称")
    private String ticketTitle;

    @ApiModelProperty("盲票类型")
    private TicketTypeEnum ticketType;

    @ApiModelProperty("是否预付票,0否,1是")
    private Integer isPre;

    @ApiModelProperty("盲票售价")
    private Integer salePrice;

    @ApiModelProperty("佣金系数")
    private BigDecimal saleCommRate;

    @ApiModelProperty("盲票状态")
    private TicketStatusEnum ticketStatus;

    @ApiModelProperty("奖级")
    private String awardsName;

    @ApiModelProperty("奖品")
    private String prizeName;

    @ApiModelProperty("价值")
    private Integer value;

    @ApiModelProperty("奖品类型")
    private TicketPrizeTypeEnum prizeType;

    @ApiModelProperty("订单编号")
    private String orderId;

    @ApiModelProperty("订单状态")
    private UserTicketOrderStatusEnum orderStatus;

    @ApiModelProperty("下单时间")
    private Date createdTime;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("用户手机号")
    private String userPhone;

    @ApiModelProperty("经销商")
    private String channelName;

}
