package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.PrizeRecovery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.vo.PrizeRecoveryListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-05-23 14:18:27
 * @describe 奖品回收表mapper类
 */
public interface PrizeRecoveryMapper extends BaseMapper<PrizeRecovery> {


    /**
     * 根据条件获取回收订单列表信息
     * @param queryWrapper
     * @return
     */
    List<PrizeRecoveryListVO> listByWrapper(@Param(Constants.WRAPPER) QueryWrapper<PrizeRecovery> queryWrapper);

    /**
     * 根据条件统计回收列表信息总数
     * @param queryWrapper
     * @return
     */
    int countByWrapper(@Param(Constants.WRAPPER) QueryWrapper<PrizeRecovery> queryWrapper);

}
