package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.Goods;
import com.qs.mp.admin.domain.GoodsSku;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.GoodsExportVO;

/**
 * <p>
 * 商品库 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IGoodsService extends IService<Goods> {

	/**
	 * 新增商品信息
   * @param goods
* @param skuList
   * @param tagIds
   */
    void saveGoods(Goods goods, List<GoodsSku> skuList, List<Long> tagIds);

    /**
     * 编辑商品信息
     * @param goods
     * @param skuList
     */
    void updateGoods(Goods goods, List<GoodsSku> skuList, List<Long> tagIds);

    /**
     * 根据条件查询导出商品的数据
     * @param queryWrapper
     * @return
     */
    List<GoodsExportVO> listGoodsExportVOByQueryWrapper(QueryWrapper<Goods> queryWrapper);
}
