package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.PrizeRecovery;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.PrizeRecoveryListVO;
import com.qs.mp.user.domain.param.UserPrizeRecoveryCreateParam;
import com.qs.mp.user.domain.vo.PrizeRecoverySettleVO;

import java.util.List;

/**
 * <p>
 * 奖品回收表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-23
 */
public interface IPrizeRecoveryService extends IService<PrizeRecovery> {


    /**
     * 提交回收
     * @param userId
     * @param settleVO
     */
    void submitRecovery(Long userId, PrizeRecoverySettleVO settleVO);

    /**
     * 根据条件获取回收列表信息
     * @param queryWrapper
     * @return
     */
    List<PrizeRecoveryListVO> listByWrapper(QueryWrapper<PrizeRecovery> queryWrapper);

    /**
     * 根据条件统计回收列表信息总数
     * @param queryWrapper
     * @return
     */
    int countByWrapper(QueryWrapper<PrizeRecovery> queryWrapper);

}
