package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.TicketBox;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.param.TicketBoxCreateParam;
import com.qs.mp.admin.domain.param.TicketBoxUpdateParam;

import com.qs.mp.admin.domain.vo.TicketBoxGoodsListVO;
import java.util.List;

/**
 * <p>
 * 盲票组 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface ITicketBoxService extends IService<TicketBox> {

  /**
   * 创建票组
   * @param param
   * @return
   */
  String createTicketBox(TicketBoxCreateParam param);

  /**
   * 生成盲票
   * @param boxId
   */
  void generateTicket(String boxId);

  /**
   * 删除票组
   * @param boxId
   */
  void removeTicketBox(String boxId);

    /**
     * 更新盲票信息
     * @param param 更新入参类
     * @return
     */
  boolean updateTicketBox(TicketBoxUpdateParam param);

  /**
   * 根据条件查询盲票组列表
   * @param queryWrapper
   * @return
   */
  List<TicketBox> listBySaleChannel(QueryWrapper<TicketBox> queryWrapper);

  /**
   * 根据条件查询盲票组以及关联商品列表
   * @param queryWrapper
   * @return
   */
  List<TicketBoxGoodsListVO> listTicketGoodsByQueryWrapper(QueryWrapper<TicketBoxGoodsListVO> queryWrapper);
}
