package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 经销商采购订单盲票包明细实体类
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 */
@TableName("mp_channel_order_detail")
@Data
@ApiModel("经销商采购订单盲票包明细实体类")
public class ChannelOrderDetail implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @ApiModelProperty("主键")
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 订单ID
   */
  @ApiModelProperty("订单id")
  @TableField("order_id")
  private String orderId;

  /**
   * 渠道ID
   */
  @ApiModelProperty("渠道id")
  @TableField("channel_id")
  private Long channelId;

  /**
   * 盲票组ID
   */
  @ApiModelProperty("盲票组id")
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票包ID
   */
  @ApiModelProperty("盲票包id")
  @TableField("pkg_id")
  private String pkgId;

  /**
   * 起始序号
   */
  @ApiModelProperty("起始序号")
  @TableField("start_sn")
  private String startSn;

  /**
   * 结束序号
   */
  @ApiModelProperty("结束序号")
  @TableField("end_sn")
  private String endSn;

  /**
   * 创建时间
   */
  @ApiModelProperty("创建时间")
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @ApiModelProperty("更新时间")
  @TableField("updated_time")
  private Date updatedTime;


}
