package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * 推广员添加入参类
 *
 * @author Cup
 * @date 2022/8/9
 */
@ApiModel("推广员添加入参类")
@Data
public class PromoterCreateParam {

    @ApiModelProperty("推广员所属门店id")
    private Long channelId;

    @ApiModelProperty("手机号")
    @NotBlank(message = "手机号不能为空")
    @Length(min = 11, max = 11, message = "手机号格式不正确")
    private String mobile;

    @ApiModelProperty("名字")
    @NotBlank(message = "名字不能为空")
    private String name;

    @ApiModelProperty("工号")
    @NotBlank(message = "工号不能为空")
    private String workNo;

    @ApiModelProperty("佣金比例")
    @NotNull(message = "佣金比例不能为空")
    private BigDecimal commRate;

    @ApiModelProperty("短信id")
    private String messageId;

    @ApiModelProperty("验证码")
    private String code;


}
