package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 推广员编辑入参类
 * @author Cup
 * @date 2022/8/9
 */
@ApiModel("推广员编辑入参类")
@Data
public class PromoterEditParam {


    @NotNull(message = "推广员id不能为空")
    @ApiModelProperty("推广员id")
    private Long channelId;

    @NotBlank(message = "推广员名字不能为空")
    @ApiModelProperty("推广员名字")
    private String name;

    @NotBlank(message = "推广员工号不能为空")
    @ApiModelProperty("推广员工号")
    private String workNo;

    @NotNull(message = "推广员佣金比例不能为空")
    @ApiModelProperty("推广员的分佣比例")
    private BigDecimal commRate;

}
