package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 门店编辑入参类
 * @author Cup
 * @date 2022/7/4
 */
@ApiModel("门店编辑入参类")
@Data
public class SaleSiteEditParam {


    @NotNull(message = "门店id不能为空")
    @ApiModelProperty("门店id")
    private Long channelId;

    @NotBlank(message = "门店名称不能为空")
    @ApiModelProperty("门店名称")
    private String name;

    @ApiModelProperty("分佣标识:0默认,1不分佣")
    private Integer commFlag;

}
