package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.Channel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/1
 */
@Data
@ApiModel("渠道经销商相关出参类")
public class ChannelVO extends Channel {

    @ApiModelProperty("经销网点数")
    long siteCnt;   // 经销网点数
    @ApiModelProperty("用户数")
    long userCnt;   // 用户数

    @ApiModelProperty("上级渠道名称")
    String parentName; // 上级渠道名称

    @ApiModelProperty("订单数")
    long orderCnt;   // 订单数
    @ApiModelProperty("子渠道数量")
    int childCnt;  // 子渠道数量
    @ApiModelProperty("经营数据")
    ChannelOperDataVO operData;  // 经营数据
    // SysUser sysUser;  // 关联的用户账号信息

    @ApiModelProperty("所有上级渠道名称 eg: 一级渠道 > 上N级渠道 ** > 上级渠道")
    String parentsName; // 所有上级渠道名称 eg: 一级渠道 > 上N级渠道 ** > 上级渠道

    @ApiModelProperty("线下库存（盲票张数）")
    long offLineQtyCnt; // 线下库存（盲票张数）
    @ApiModelProperty("线下销售（线下盲票销售张数）")
    long offLineSaleCnt; // 线下销售（线下盲票销售张数）
    @ApiModelProperty("线上销售（显示盲票销售张数）")
    long onLineSaleCnt; // 线上销售（显示盲票销售张数）


}
