package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.vo.IndexVO;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.vo.ChannelVO;

import com.qs.mp.channel.domain.vo.PromoterListVO;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 渠道经销商mapper类
 */
public interface ChannelMapper extends BaseMapper<Channel> {

	/**
	 * 获取我的下级渠道列表信息，支持翻页
	 *
	 * @param wrapper
	 * @return
	 */
	public List<ChannelVO> selectChannelVoList(@Param(Constants.WRAPPER) Wrapper<Channel> wrapper);

	/**
	 * 获取我的下级渠道列表信息，支持翻页
	 *
	 * @param wrapper
	 * @return
	 */
	public List<ChannelVO> selectChannelList(@Param(Constants.WRAPPER) Wrapper<Channel> wrapper);

	/**
	 * 查询经销商列表
	 *
	 * @param wrapper
	 * @return
	 */
	public List<ChannelVO> selectSaleSiteList(@Param(Constants.WRAPPER) Wrapper<Channel> wrapper);


    /**
     * 查询渠道及其子渠道经销商总数
     * @param channelNo
     * @return
     */
    int getChannelSiteCnt(@Param("channelNo") String channelNo);


    /**
     * 统计新增的经销商数
     * @param wrapper
     * @return
     */
 	List<IndexVO> selectIndexSiteIncreaseList(@Param(Constants.WRAPPER) Wrapper<Channel> wrapper);

	/**
	 * 根据查询条件查询推广员列表信息
	 * @param queryWrapper
	 * @return
	 */
    List<PromoterListVO> listPromoterByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<Channel> queryWrapper);
}
