package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.vo.IndexVO;
import com.qs.mp.channel.domain.ChannelOrder;
import com.qs.mp.channel.domain.vo.ChannelOrderVO;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 * @describe 经销商盲票采购订单mapper类
 */
public interface ChannelOrderMapper extends BaseMapper<ChannelOrder> {


	/**
	 * 获取经销商订单列表信息，支持翻页
	 * 
	 * @param wrapper
	 * @return
	 */
	public List<ChannelOrderVO> selectChannelOrderVoList(@Param(Constants.WRAPPER) Wrapper<ChannelOrder> wrapper);
	
	
	/**
	 * 查询满足筛选条件的经销商订单数量
	 *
	 * @param wrapper
	 * @return
	 */
	int selectChannelOrderCount(@Param(Constants.WRAPPER) Wrapper<ChannelOrder> wrapper);

	/**
	 * 统计实时交易数据
	 * @param wrapper
	 * @return
	 */
    List<IndexVO> selectIndexChannelOrderDailyInfoList(@Param(Constants.WRAPPER) QueryWrapper<ChannelOrder> wrapper);

	/**
	 * 预付金额统计
	 * @param channelOrderQueryWrapper
	 * @return
	 */
    int selectPreSaleAmtByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<ChannelOrder> channelOrderQueryWrapper);
}
