package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.ChannelCouponVerifyLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.user.domain.UserCoupon;

/**
 * <p>
 * 渠道优惠券核销流水 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-21
 */
public interface IChannelCouponVerifyLogService extends IService<ChannelCouponVerifyLog> {

  /**
   * 核销
   * @param channelId
   * @param userCoupon
   */
  void verify(Long channelId, UserCoupon userCoupon);

  /**
   * 根据条件统计优惠券核销金额
   * @param queryWrapper
   * @return
   */
  Integer sumDisCountByQueryWrapper(QueryWrapper<ChannelCouponVerifyLog> queryWrapper);

}
