package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelUserRel;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 经销商的用户 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelUserRelService extends IService<ChannelUserRel> {

	
	/**
	 * 根据渠道No查询渠道用户数量
	 * @param channelNo
	 * @return
	 */
	int getChannelTotalUserCnt(String channelNo);
	/**
	 * 根据渠道No查询渠道指定时间内新增的用户数量
	 * @param channelNo
	 * @return
	 */
	int getChannelNewUserCnt(String channelNo, int days);

	/**
	 * 经销商绑定用户关系
	 * @param userId
	 * @param channelId
	 */
	void bindUser(Long userId,Long channelId);
}
