package com.qs.mp.framework.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 异步任务表实体类
 * @auther quanshu
 * @create 2022-06-07 10:34:20
 */
@TableName("mp_async_task")
@Data
@ApiModel("异步任务表实体类")
public class AsyncTask implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 异步任务id
     */
    @ApiModelProperty("异步任务id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型")
    @TableField("type")
    private Integer type;

    /**
     * 业务id
     */
    @ApiModelProperty("业务id")
    @TableField("biz_id")
    private String bizId;

    @ApiModelProperty("任务状态-1已取消,0未完成,1已完成")
    @TableField("status")
    private Integer status;

    /**
     * 操作次数
     */
    @ApiModelProperty("操作次数")
    @TableField("operate_num")
    private Integer operateNum;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;


}