package com.qs.mp.open.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * scheme外部调用生成入参类
 * @author Cup
 * @date 2022/6/2
 */
@ApiModel("scheme外部调用生成入参类")
@Data
public class SchemeParam {


    @NotBlank(message = "调用方编号不能为空")
    @ApiModelProperty("调用方编号")
    private String callNo;

    @NotBlank(message = "用户唯一标识不能为空")
    @ApiModelProperty("用户唯一标识")
    private String uid;

    @ApiModelProperty("盲票组id")
    private String boxId;
}
