package com.qs.mp.system.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duota
 *
 */
@Data
@ApiModel("微信登录入参类")
public class WxLoginParams {

    @ApiModelProperty("微信返回code，用于服务端换取鉴权信息")
    private String code;
    @ApiModelProperty("用户昵称")
    private String nickName;
    @ApiModelProperty("用户头像")
    private String avatarUrl;
    /** 微信手机号授权信息，兼容基础类库2.22.1以下版本 */
    @ApiModelProperty("包括敏感数据在内的完整用户信息的加密数据")
    private String encryptedData;
    @ApiModelProperty("加密算法的初始向量")
    private String iv;
    @ApiModelProperty("调用wx.login获取的code")
    private String loginCode;
    /**
     * 登录身份
     */
    @ApiModelProperty("登录身份")
    private int identity;


    @ApiModelProperty("小程序,1盲票,2码上兑券,3支付宝盲票")
    private Integer appSource;

}
