package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 提货订单卡密关联表实体类
 * @auther quanshu
 * @create 2022-08-02 15:44:39
 */
@TableName("mp_user_deliver_order_item_card")
@Data
@ApiModel("提货订单卡密关联表实体类")
public class UserDeliverOrderItemCard implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 提货订单明细id
     */
    @ApiModelProperty("提货订单明细id")
    @TableField("item_id")
    private String itemId;

    /**
     * 关联卡密id
     */
    @ApiModelProperty("关联卡密id")
    @TableField("card_id")
    private Long cardId;

    /**
     * 逻辑删除标识
     */
    @ApiModelProperty("逻辑删除标识")
    @TableField("is_deleted")
    @TableLogic
    private Integer isDeleted;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField("created_time")
    private Date createdTime;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
    @TableField("updated_time")
    private Date updatedTime;


}