package com.qs.mp.user.domain.param;

import com.qs.mp.common.enums.DeliverOrderResourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotEmpty;
import lombok.Data;

@ApiModel(value = "提货订单参数")
@Data
public class DeliverOrderParam {

    @ApiModelProperty("订单来源:1提货订单,2现金购买")
    private DeliverOrderResourceEnum resource;

    @ApiModelProperty("商品id")
    private Long goodsId;

    @ApiModelProperty("sku Id")
    private Long skuId;

    @ApiModelProperty("商品数量")
    private Integer num;

    @ApiModelProperty(value = "奖品库IDs", required = true)
    private List<String> ids;

    @ApiModelProperty(value = "地址ID", required = false)
    private Long addrId;

    @ApiModelProperty("小程序,1盲票,2码上兑券,3支付宝盲票")
    private Integer appSource;
}
