package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 兑换大厅商品列表查询入参类
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("兑换大厅商品列表查询入参类")
@Data
public class ExchangeGoodsListQueryParam {

    @ApiModelProperty("分类id")
    private Long categoryId;

    @ApiModelProperty("标签id")
    private String tagIds;

    @ApiModelProperty("开始价格")
    private Integer startPrice;

    @ApiModelProperty("结束价格")
    private Integer endPrice;

    @ApiModelProperty("分类id列表")
    private List<Long> categoryIdList;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("价格排序,1正序,2倒序")
    private Integer priceSort;

    @ApiModelProperty("销量排序,1正序,2倒序")
    private Integer saleSort;

}
