package com.qs.mp.user.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Cup
 * @date 2022/5/23
 */
@ApiModel("用户中奖详情出参类")
@Data
public class UserHitPrizeDetailVO {

    @ApiModelProperty("奖品id,主键")
    private String prizeId;

    @ApiModelProperty("奖品名称")
    private String title;

    @ApiModelProperty("奖品图片url")
    private String picUrl;

    @ApiModelProperty("奖品ID（GOODS_ID或COUPON_ID)")
    private String refId;

    @ApiModelProperty("奖品类型 1 实物商品 2优惠券 3平台代币")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private TicketPrizeTypeEnum prizeType;

    @ApiModelProperty("奖品价值")
    private Integer value;


    @ApiModelProperty("奖品信息列表")
    List<List<TicketAwardsPrize>> ticketAwardsPrizeList;
}
