package com.qs.mp.user.domain.vo;

import com.qs.mp.common.enums.MarketingStatusEnum;
import com.qs.mp.common.utils.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 盲票营销活动列表出参类
 * @author Cup
 * @date 2022/5/17
 */
@ApiModel("营销活动列表出参类")
@Data
public class UserMarketingListVO {

    @ApiModelProperty("活动id")
    private Long id;

    @ApiModelProperty("活动标题")
    private String title;

    @ApiModelProperty("活动主图")
    private String picUrl;

    @ApiModelProperty("参与人数")
    private Integer fakeNum;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("是否开启: -1关闭,0待开启, 1开启 ")
    private Integer isOn;

    @ApiModelProperty("是否中奖,0:未中奖,1:中奖")
    private Integer isHit;

    @ApiModelProperty("活动状态-1关闭,0待开启,1开启,2未开始,3进行中,4已结束")
    private String status;

    public String getStatus() {
        return MarketingStatusEnum.getStatus(this.startTime,this.endTime,this.isOn);
    }

}
