package com.qs.mp.user.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.user.domain.UserDeliverOrder;
import com.qs.mp.user.domain.UserDeliverOrderItem;
import com.qs.mp.user.domain.vo.OrderDeliverItemVO;
import com.qs.mp.user.domain.vo.UserDeliverOrderItemVO;
import com.qs.mp.user.domain.vo.UserDeliverOrderVO;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户提货订单明细 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserDeliverOrderItemService extends IService<UserDeliverOrderItem> {


	/**
	 * 获取用户提货订单物流列表信息
	 *
	 * @param orderId
	 * @return
	 */
	List<OrderDeliverItemVO> selectOrderDeliverItemVOList(String orderId);

	/**
	 * 获取用户提货订单明细列表信息
	 *
	 * @param orderId
	 * @return
	 */
	List<UserDeliverOrderItemVO> selectUserDeliverOrderItemVOList(String orderId);


	/**
	 * 查询发货列表
	 * @param orderId
	 * @param orderItems
	 * @return
	 */
	List<OrderDeliverItemVO> getDeliverItemList(String orderId, List<UserDeliverOrderItemVO> orderItems);

	/**
	 * 根据条件查询订单明细信息
	 * @param userDeliverOrderItemVOQueryWrapper
	 * @return
	 */
    List<UserDeliverOrderItemVO> selectUserDeliverOrderItemVOListByQueryWrapper(QueryWrapper<UserDeliverOrderItemVO> queryWrapper);
}
